summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarian Csontos <mcsontos@redhat.com>2015-06-04 11:31:24 +0200
committerMarian Csontos <mcsontos@redhat.com>2015-06-04 11:31:24 +0200
commit66cbbea1080c0d221d1292b7318fcf29e52a1d88 (patch)
tree8e481b69344b0f9c49f6e42c8bd9453a6b9775ad
parent6b796d71ff021959e5c11727721cd75da0eb2136 (diff)
downloadlvm2-66cbbea1080c0d221d1292b7318fcf29e52a1d88.tar.gz
mkdir later is not creating parent directories.
The parent directory (DIR) should either exist or should be created. It is not desirable to use `mkdir -p` which could lead to existing directory reuse.
-rw-r--r--test/lib/utils.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/test/lib/utils.sh b/test/lib/utils.sh
index fe7ccd3bc..24c9076d4 100644
--- a/test/lib/utils.sh
+++ b/test/lib/utils.sh
@@ -57,6 +57,8 @@ mkdtemp() {
destdir=$1
template=$2
+ test -d "$destdir" || die "DIR ('$destdir') does not exist."
+
case "$template" in
*XXXX) ;;
*) die "Invalid template: $template (must have a suffix of at least 4 X's)";;